OT: MoinMoin and Mediawiki?

Paul Rubin http
Tue Jan 11 19:49:43 CET 2005


Robin Becker <robin at reportlab.com> writes:
> A few months ago I tried and failed to get squirrelmail/php to run
> with Apache2 and freeBSD 4.9. It seems that php prefers the old style
> apache 1.3 work flow. I got some  help from the php guys, but not
> enough. I suppose I could have run a separate apache13 server, but
> that seems like a cop out to me. We don't want to maintain an extra
> set of configs etc etc.

I think mod_php doesn't play nice with apache2 but am not aware of any
cgi interoperability problems.  I ran squirrelmail/php as an apache
1.3 cgi a while back (low enough traffic to not get killed by cgi
overhead), if that helps.  Note that squirrelmail itself has a bunch
of security bugs that the maintainers refuse to acknowledge as bugs.
Anyway, I'm still using apache 1.3 (haven't had a reason to modernize)
so I can run mod_php if I need to.

> Mailman, moinmoin and others work fine with apache2 maybe because they
> use a cgi style interface. I would stick with a pythonic solution
> unless there's a good reason not too.

Yes, I certainly prefer Python to PHP.



More information about the Python-list mailing list